GroovyParser.MethodDeclarationContext (Groovy 4.0.15)

Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.MethodDeclarationContext

- org.apache.groovy.parser.antlr4.GroovyParser.MethodDeclarationContext

-     public static class GroovyParser.MethodDeclarationContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `ct` |
    `int` | `t` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MethodDeclarationContext(ParserRuleContext parent, int invokingState)`
    `MethodDeclarationContext(ParserRuleContext parent, int invokingState, int t, int ct)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `DEFAULT()`
    `` | `public TerminalNode` | `THROWS()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public GroovyParser.ElementValueContext` | `elementValue()`
    `` | `public GroovyParser.FormalParametersContext` | `formalParameters()`
    `` | `public int` | `getRuleIndex()`
    `` | `public GroovyParser.MethodBodyContext` | `methodBody()`
    `` | `public GroovyParser.MethodNameContext` | `methodName()`
    `` | `public GroovyParser.ModifiersOptContext` | `modifiersOpt()`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public NlsContext` | `nls(int i)`
    `` | `public GroovyParser.QualifiedClassNameListContext` | `qualifiedClassNameList()`
    `` | `public GroovyParser.ReturnTypeContext` | `returnType()`
    `` | `public GroovyParser.TypeParametersContext` | `typeParameters()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Field Detail

    - #### public int ct

    - #### public int t

  - ### Constructor Detail

    - #### public MethodDeclarationContext(ParserRuleContext parent, int invokingState)

    - #### public MethodDeclarationContext(ParserRuleContext parent, int invokingState, int t, int ct)

  - ### Method Detail

    - #### public TerminalNode DEFAULT()

    - #### public TerminalNode THROWS()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public GroovyParser.ElementValueContext elementValue()

    - #### public GroovyParser.FormalParametersContext formalParameters()

    - #### @Override
      public int getRuleIndex()

    - #### public GroovyParser.MethodBodyContext methodBody()

    - #### public GroovyParser.MethodNameContext methodName()

    - #### public GroovyParser.ModifiersOptContext modifiersOpt()

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)

    - #### public GroovyParser.QualifiedClassNameListContext qualifiedClassNameList()

    - #### public GroovyParser.ReturnTypeContext returnType()

    - #### public GroovyParser.TypeParametersContext typeParameters()